Bug 167339 - Network does not work with smp kernel
Network does not work with smp kernel
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 14:46 EDT by Marie Henri Beyle
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 17:16:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log kernel smp init (19.54 KB, text/plain)
2005-09-01 14:51 EDT, Marie Henri Beyle
no flags Details
Lof init kernel withot smp activated (17.15 KB, text/plain)
2005-09-01 14:52 EDT, Marie Henri Beyle
no flags Details

  None (edit)
Description Marie Henri Beyle 2005-09-01 14:46:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; es-ES; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
I have a server with dual processor (intel pentium III 1.400) . The problem is very simply: If I try to use kernel-smp, network doesn't work, If I use a kernel without smp activated (i.e. kernel-2.6.12-1.1447_FC4) everything works OK .

The log for both inits is attached as log-smp.txt and log-non-smp.txt .

Version-Release number of selected component (if applicable):
kernel-smp-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1. Init Fedora Core 4 with kernel-smp activated .  

Actual Results:  Network doesn't works. 

Expected Results:  Network works OK .

Additional info:

I received this message from logs. I think it has some relation:

kernel: NETDEV WATCHDOG: eth0: transmit timed out
kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
Comment 1 Marie Henri Beyle 2005-09-01 14:51:50 EDT
Created attachment 118361 [details]
Log kernel smp init
Comment 2 Marie Henri Beyle 2005-09-01 14:52:52 EDT
Created attachment 118362 [details]
Lof init kernel withot smp activated
Comment 3 Pete Chown 2005-09-02 12:27:29 EDT
I have a similar problem, but not quite identical.  Mine occurs with both the
uniprocessor and SMP kernels.  When the system is booted, the network will be
working properly.  (In other words, with the SMP kernel, my problem is not as
severe as yours; the network does work to begin with.)

Some time later, the machine will stop responding to the network.  Sometimes the
machine will stop responding at all.  Other times, the machine will continue
responding to low level requests like ICMP ECHO, while stopping responding to
higher level requests like TCP.

This problem has occurred on two machines, one dual processor, one uniprocessor.
 It started with the upgrade to kernel-2.6.12-1.1447_FC4.  I was previously
running kernel-2.6.12-1.1398_FC4 and this seems to work fine.  I've downgraded
one of the boxes and the lockups seem to have stopped.  (The other box needs to
be rebooted by the hosting provider, and I'm still waiting for this to be done.
 I will report what happens after it is downgraded.)
Comment 4 Marie Henri Beyle 2005-09-02 17:32:35 EDT
I have tried kernel-smp-2.6.12-1.1398_FC4 and symptoms are the same. Logs are
similar. Network tries to boot and lost it in a few seconds. With
kernel-2.6.12-1.1398_FC4 there is no problem, everything works fine.
Obviously, there is a problem with my hardware and smp kernel and I don't know
what it is. Maybe someone could look at logs that I have attached and find
something that I am unable to see.
Comment 5 Dave Jones 2005-09-30 02:46:10 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 6 Dave Jones 2005-11-04 17:16:35 EST
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.